{% extends 'base_admin.html.twig' %}

{% block title %}Tableau de bord Interprètre{% endblock %}

{% block body %}
    <section id="interpreter-index" class="container-fluid">
	    <section class="container">
			<header class="row">
                <div class="col-12">
                    <h1 class="service">Liste Interprètes</h1>
                </div>
            </header>
            <div class="row">
                <div  class="col-12 table-interpreter-index"> 
                    <a class="btn btn-info add-interpreter" href="{{ path('interpreter_new') }}">Nouvel Interprète</a>   
                    <table class="table table-interpreter">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Interprète</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for interpreter in interpreters %}
                            <tr>
                                <td data-label="Id">{{ interpreter.id }}</td>
                                <td data-label="Interprète" >{{ interpreter.name }}</td>
                                <td data-label="Actions">
                                    <a href="{{ path('interpreter_show', {'id': interpreter.id}) }}">Voir</a>
                                    <a href="{{ path('interpreter_edit', {'id': interpreter.id}) }}">Mettre à jour</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="3">pas d'enregistrement</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    {{ knp_pagination_render(interpreters,'@KnpPaginator/Pagination/twitter_bootstrap_v4_pagination.html.twig') }}
                </div>
            </div>
        </section>
    </section>                
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
